<?php
/**
* Social profiles options
*
* @package EliteWP WordPress Theme
* @copyright Copyright (C) 2018 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function elitewp_social_profiles($wp_customize) {

    $wp_customize->add_section( 'sc_elitewp_sociallinks', array( 'title' => esc_html__( 'Social Links', 'elitewp' ), 'panel' => 'elitewp_main_options_panel', 'priority' => 400, ));

    $wp_customize->add_setting( 'elitewp_options[hide_header_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'elitewp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'elitewp_hide_header_social_buttons_control', array( 'label' => esc_html__( 'Hide Header Social Buttons + Search Button', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[hide_header_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'elitewp_options[hide_header_search_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'elitewp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'elitewp_hide_header_search_button_control', array( 'label' => esc_html__( 'Hide Header Search Button', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[hide_header_search_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'elitewp_options[hide_header_login_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'elitewp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'elitewp_hide_header_login_link_control', array( 'label' => esc_html__( 'Hide Header Login Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[hide_header_login_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'elitewp_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'elitewp_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'elitewp_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_vklink_control', array( 'label' => esc_html__( 'VK Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_githublink_control', array( 'label' => esc_html__( 'Github URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_redditlink_control', array( 'label' => esc_html__( 'Reddit Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_behancelink_control', array( 'label' => esc_html__( 'Behance Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_codepenlink_control', array( 'label' => esc_html__( 'Codepen Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_bsalink_control', array( 'label' => esc_html__( 'BuySellAds Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare Link', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'elitewp_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'elitewp_sanitize_email' ) );

    $wp_customize->add_control( 'elitewp_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'elitewp_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'elitewp_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'elitewp' ), 'section' => 'sc_elitewp_sociallinks', 'settings' => 'elitewp_options[rsslink]', 'type' => 'text' ) );

}